summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Yth - Arnaud2017-09-01 13:22:41 +0200
committer David Spencer2017-09-02 11:19:46 +0200
commitfcd8c91482a336c9c5bee8c8c4b8c60ae10919f7 (patch)
tree6d10e26b55bde4492054cff4ee9c976c98f4deb7
parentcdf21802e5b5fb04f5134cb39524244dbca6d47c (diff)
downloadslackbuilds-fcd8c91482a336c9c5bee8c8c4b8c60ae10919f7.tar.gz
libraries/libsass: Added (Sass compiler written in C++).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--libraries/libsass/README13
-rw-r--r--libraries/libsass/libsass.SlackBuild98
-rw-r--r--libraries/libsass/libsass.info10
-rw-r--r--libraries/libsass/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/libraries/libsass/README b/libraries/libsass/README
new file mode 100644
index 0000000000..4d71f0cac5
--- /dev/null
+++ b/libraries/libsass/README
@@ -0,0 +1,13 @@
+LibSass - Sass compiler written in C++
+
+LibSass is just a library! If you want to use LibSass to compile Sass,
+you need an implementer.
+
+Some implementations are only bindings into other programming
+languages. But most also ship with a command line interface (CLI) you
+can use directly.
+
+There is also SassC, which is the official lightweight CLI tool built
+by the same people as LibSass.
+
+sassc is available on SlackBuilds.org.
diff --git a/libraries/libsass/libsass.SlackBuild b/libraries/libsass/libsass.SlackBuild
new file mode 100644
index 0000000000..aae65af653
--- /dev/null
+++ b/libraries/libsass/libsass.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+# Slackware build script for libsass
+#
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libsass
+VERSION=${VERSION:-3.4.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING INSTALL LICENSE *.md"
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf -i
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --enable-shared=yes \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libsass/libsass.info b/libraries/libsass/libsass.info
new file mode 100644
index 0000000000..ba2b83225c
--- /dev/null
+++ b/libraries/libsass/libsass.info
@@ -0,0 +1,10 @@
+PRGNAM="libsass"
+VERSION="3.4.5"
+HOMEPAGE="http://sass-lang.com/libsass"
+DOWNLOAD="https://github.com/sass/libsass/archive/3.4.5/libsass-3.4.5.tar.gz"
+MD5SUM="c00583e76b11dd7ae1a577a6f8214803"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/libraries/libsass/slack-desc b/libraries/libsass/slack-desc
new file mode 100644
index 0000000000..940600deae
--- /dev/null
+++ b/libraries/libsass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libsass: libsass (Sass compiler written in C++)
+libsass:
+libsass: LibSass is the library of the C/C++ port of the Sass engine.
+libsass:
+libsass: LibSass is just a library! If you want to use LibSass to compile Sass,
+libsass: you need an implementer. SassC, which is the official lightweight CLI
+libsass: tool built by the same people as LibSass, is available on Slackbuilds
+libsass: as sassc.
+libsass:
+libsass:
+libsass: